12 Feb 2020 14:49 - Anna Maria Bigatti

Status: In Progress Start date: 12 Feb 2020

Priority: High Due date:  

Assignee:  % Done: 20%

Category: Data Structures Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.40 hour

Description

Should we implement a class for list/vector of RingElem, all guaranteed to be in hte same ring? (a bit like PPVector)

Nice thing would be that the empty list would know which ring it belongs to.

Think about it!

Related issues:

Related to CoCoALib - Feature #1332: New function: vector of RingElem from st... Closed 08 Oct 2019

Related to CoCoALib - Feature #357: Constructor for vectors?  CoCoAVector Rejected 24 May 2013

Related to CoCoALib - Feature #1347: New function: ctor of PPVector with vect... Closed 21 Oct 2019

Related to CoCoA-5 - Feature #1461: Automatic mapping for multiplication? Closed 10 Jun 2020

Related to CoCoA-5 - Feature #7: Automatic mapping between (some) rings Resolved 20 Oct 2011

Related to CoCoALib - Design #1649: Add file SparsePolyOps-vector.C Closed 21 Jan 2022

History

#1 - 12 Feb 2020 14:49 - Anna Maria Bigatti

- Related to Feature #1332: New function: vector of RingElem from string -- in CoCoALib added

#2 - 12 Feb 2020 14:49 - Anna Maria Bigatti

- Related to Feature #357: Constructor for vectors?  CoCoAVector added

#3 - 12 Feb 2020 14:50 - Anna Maria Bigatti

- Related to Feature #1347: New function: ctor of PPVector with vector<RingElem> added

#4 - 12 Feb 2020 14:51 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 10

I have a personal test implementation called ex-RingElemVector.C

#5 - 22 Jun 2020 18:00 - John Abbott

- Related to Feature #1461: Automatic mapping for multiplication? added

#6 - 22 Jun 2020 18:00 - John Abbott

- Related to Feature #7: Automatic mapping between (some) rings added

#7 - 06 Oct 2020 12:08 - John Abbott

- Priority changed from Normal to High

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

- % Done changed from 10 to 20

I am postponing, but also increasing priority.
I think this idea will be quite useful, but we need more time to think about it and make a good impl.

Ideally, next time Anna and I can meet somewhere (somewhen).

NOTE it might also be nice to have VectorVectorRingElem for creating matrices.

#8 - 08 Mar 2023 19:39 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

#9 - 25 Mar 2024 09:42 - John Abbott

- Related to Design #1649: Add file SparsePolyOps-vector.C added

#10 - 25 Apr 2024 21:53 - John Abbott

Yes!  We really should implement this, and preferably soon.

Maybe we can also include an auto conversion to vector<RingElem> which should help ensure compatibility: e.g. might be useful for printing?
